## imlib2-1.3.0.0debian1.tar.bz2

=== debian/Makefile ===
# Makefile.in generated by automake 1.9.4 from Makefile.am.
# debian/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/imlib2
pkglibdir = $(libdir)/imlib2
pkgincludedir = $(includedir)/imlib2
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-pc-linux-gnu
host_triplet = i386-pc-linux-gnu
target_triplet = i386-pc-linux-gnu
subdir = debian
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/devel/release/imlib2-1.2.0/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/devel/release/imlib2-1.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/devel/release/imlib2-1.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/devel/release/imlib2-1.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/devel/release/imlib2-1.2.0/missing --run automake-1.9
AWK = gawk
BUILD_BZ2_LOADER_FALSE = #
BUILD_BZ2_LOADER_TRUE = 
BUILD_GIF_LOADER_FALSE = #
BUILD_GIF_LOADER_TRUE = 
BUILD_JPEG_LOADER_FALSE = #
BUILD_JPEG_LOADER_TRUE = 
BUILD_MMX_FALSE = 
BUILD_MMX_TRUE = #
BUILD_PNG_LOADER_FALSE = #
BUILD_PNG_LOADER_TRUE = 
BUILD_TIFF_LOADER_FALSE = #
BUILD_TIFF_LOADER_TRUE = 
BUILD_X11_FALSE = #
BUILD_X11_TRUE = 
BUILD_ZLIB_LOADER_FALSE = #
BUILD_ZLIB_LOADER_TRUE = 
BZ2LIBS = -lbz2
CC = cc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -Wall -O2
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
FREETYPE_CONFIG = /usr/bin/freetype-config
GIFLIBS = -lungif
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JPEGLIBS = -ljpeg
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/devel/release/imlib2-1.2.0/missing --run makeinfo
OBJEXT = o
PACKAGE = imlib2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PNGLIBS = -lpng -lz -lm
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TIFFLIBS = -ltiff
VERSION = 1.2.0
ZLIBLIBS = -lz
ac_ct_AR = ar
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = /usr/bin
build = i386-pc-linux-gnu
build_alias = i386-linux
build_cpu = i386
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = /usr
host = i386-pc-linux-gnu
host_alias = 
host_cpu = i386
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/devel/release/imlib2-1.2.0/install-sh
libdir = /usr/lib
libexecdir = ${prefix}/lib/imlib2
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
my_includes = -I/usr/include/freetype2 -I/usr/X11R6/include 
my_libs = -lfreetype -lz -L/usr/X11R6/lib -lX11 -lXext -ldl -lm
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target = i386-pc-linux-gnu
target_alias = 
target_cpu = i386
target_os = linux-gnu
target_vendor = pc
EXTRA_DIST = \
changelog \
control \
copyright \
imlib2-config.1 \
libimlib2-dev.doc-base \
libimlib2.postinst \
rules

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  debian/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  debian/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
imlib2 (1.3.0.0debian1-4) unstable; urgency=high

  * debian/rules: disable amd64 optimzations. closes: #397012

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  8 Nov 2006 23:19:16 -0500

imlib2 (1.3.0.0debian1-3) unstable; urgency=high

  * fixes non-loading of TIFF on amd64. Reported and fixed by
    M Joonas Pihlaja. Thanks. Merged upstream. closes: #381177
  * fixes alpha handling inconsistency with TIFF. Reported and fixed by
    M Joonas Pihlaja. Thanks. Merged upstream. closes: #381213
  * fixes segfault when saving TIFF with alpha. Reported and fixed by
    M Joonas Pihlaja. Thanks. Merged upstream. closes: #381216 (again)
  * fixes multiple buffer overflow vulnerabilites in width and height
    checks in src/modules/loaders/*.c. CVE-2006-480[6-9]. Fixed in
    upstream CVS. Reported by Stefan Fritsch. Thanks. closes: #397371
  * build-depend on debhelper 5

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  6 Nov 2006 20:42:17 -0500

imlib2 (1.3.0.0debian1-2) unstable; urgency=low

  * imlib2.pc.in, removed Requires line, deja vu,  Bug#286636
  * take two on removing the duplicate Architecture line

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 25 Oct 2006 21:01:57 -0400

imlib2 (1.3.0.0debian1-1) unstable; urgency=low

  * New upstream release
  * bumped Standards version to 3.7.2, no changes
  * removed unusused data/ dir from upstream tarball. Fixes non-free font
    issue reported by Sam Hocevar. Thanks. closes: #393743
  * debian/control: removed duplicate "Architecture: any" line reported
    by Stefan Huehner. Thanks. closes: #356902
  * upstream fix for tiff with alpha segfault, reported by 
    M Joonas Pihlaja. Thanks. closes: #381216

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 23 Oct 2006 23:42:43 -0400

imlib2 (1.2.1-2) unstable; urgency=low

  * src/lib/rend.c: upstream CVS patch fixes crash in digikam.
    Reported by EikeSauer@t-online.de. Thanks. Closes: #318013

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 24 Aug 2005 19:24:35 -0400

imlib2 (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 20 Aug 2005 00:49:55 -0400

imlib2 (1.2.0-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Drop the Requires: line from imlib2.pc.in, since there's nothing in
    the current code that will populate it with a proper pkg-config
    dependency list.  Closes: #286636.

 -- Steve Langasek <vorlon@debian.org>  Fri, 25 Mar 2005 01:37:23 -0800

imlib2 (1.2.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rip out upstream's buggy homebrew X detection code, which silently
    disables X support (and breaks the library ABI) if it doesn't find X
    headers in the right place; now fails out properly unless passing
    --without-x to configure.  Closes: #295350.

 -- Steve Langasek <vorlon@debian.org>  Sun, 27 Feb 2005 13:41:05 -0800

imlib2 (1.2.0-2) unstable; urgency=high

  * provoke buildds

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 21 Feb 2005 14:48:17 -0500

imlib2 (1.2.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix
  * Fix regression in the linkage of the loader modules which resulted
    in undefined symbols, making libimlib2 unusable when being
    dlopen()ed by an application; thanks to Don Armstrong for the patch.
    Closes: #293815.

 -- Steve Langasek <vorlon@debian.org>  Sat, 12 Feb 2005 15:19:12 -0800

imlib2 (1.2.0-1) unstable; urgency=low

  * New upstream version 

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 29 Jan 2005 11:39:44 -0500

imlib2 (1.1.2-3) unstable; urgency=medium

  * added tiff loader patch from Renchi Raju for Bug#285582, reported by
    Nick Phillips. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  7 Jan 2005 22:14:24 -0500

imlib2 (1.1.2-2.1) unstable; urgency=HIGH

  * NMU with the following changes taken from the Ubuntu patch by Martin Pitt
    Closes: #284925
  * SECURITY UPDATE: fix several buffer overflows
  * loaders/loader_bmp.c: check for negative image width/height
  * loaders/loader_xpm.c:
    - check for negative image attributes
    - check the length of the "col" buffer to avoid overflowing it
    - patch taken from upstream CVS
  * References:
    CAN-2004-1025
    CAN-2004-1026

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Jan 2005 16:29:53 -0500

imlib2 (1.1.2-2) unstable; urgency=low

  * added libltdl3-dev Build-Depend for libimlib2-dev. See Bug#287188,
    reported by Kurt Roeckx. Thanks.
  * replaced libimlib2-dev's libpng3-dev Build-Depend with libpng12-dev 
    for libimlib2-dev. See Bug#282743, reported by Tuomas Jormola. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 26 Dec 2004 22:08:23 -0500

imlib2 (1.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: added libltdl3-dev and libbz2-dev to Build-Depends
  * debian/*.install: adjust paths from loaders/ to imlib2_loaders/

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 28 Nov 2004 14:47:27 -0500

imlib2 (1.1.0-12.4) unstable; urgency=high

  * Non-Maintainer Upload.
  * Fix remote BMP heap overflow, patch from Martin Pitt. (Closes: #271375)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 19 Sep 2004 00:39:15 +0200

imlib2 (1.1.0-12.3) unstable; urgency=medium

  * NMU
  * Fix FTBFS introduced by stripping build-depends in last uploads. Use
    AC_PATH_X([X11],[X11/Xlib.h],[XrmInitialize()] instead of plain AC_PATH_X
    because libX11 is used by the package, while the default for AC_PATH_X
    (libXt) is not. (Closes: #263827) (Thanks to J.H.M. Dassen.)

 -- Andreas Metzler <ametzler@debian.org>  Sat,  7 Aug 2004 09:18:44 +0200

imlib2 (1.1.0-12.2) unstable; urgency=low

  * NMU to incorporate Samuel Hocevar's changes.
  * src/rgbadraw.c: patch from Andreas Jochens <aj@andaco.de> to fix FTBFS
    with GCC 3.4 (closes: #258971).
  * doc/index.html: fixed the prototype of imlib_polygon_new()
    (closes: #174622).


=== debian/control ===
Source: imlib2
Section: libs
Priority: optional
Maintainer: Laurence J. Lane <ljlane@debian.org>
Build-Depends: libjpeg62-dev, libpng12-dev, libtiff4-dev, zlib1g-dev, libungif4-dev, libx11-dev, libxext-dev, libfreetype6-dev, cdbs, libltdl3-dev, libbz2-dev, libid3tag0-dev, debhelper (>> 5)
Standards-Version: 3.7.2

Package: libimlib2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: powerful image loading and rendering library
 Imlib2 is an advanced replacement for libraries like libXpm. 
 Imlib2 provides many more features with much greater flexibility 
 and speed than standard libraries, including font rasterization, 
 rotation, RGBA space rendering and blending, dynamic binary 
 filters, scripting, and more.
 .
 Imlib2 is not a drop-in replacement for Imlib 1.x.
 
Package: libimlib2-dev
Architecture: any
Section: libdevel
Replaces: libimlib2
Depends: libimlib2 (= ${Source-Version}), libc6-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, zlib1g-dev, libungif4-dev, libx11-dev, libxext-dev, libfreetype6-dev, libltdl3-dev
Description: Imlib2 development files
 Headers, static libraries and documentation for developing
 software that uses Imlib2.
 .
 Imlib2 is an advanced replacement for libraries like libXpm. 
 Imlib2 provides many more features with much greater flexibility 
 and speed than standard libraries, including font rasterization, 
 rotation, RGBA space rendering and blending, dynamic binary 
 filters, scripting, and more.
 .
 Imlib2 is not a drop-in replacement for Imlib 1.x.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

#libtool cries for an absolute path
DEB_DESTDIR = $(CURDIR)/debian/tmp

#make happy little 386 friendly debs
DEB_CONFIGURE_EXTRA_FLAGS = --enable-mmx=no --prefix=/usr --exec-prefix=/usr --disable-amd64

#The End.
